defmodule Baz.Repo.Migrations.CreateCollectionPacks do
  use Ecto.Migration

  def change do
    create table(:collection_packs, primary_key: false) do
      add :id, :uuid, primary_key: true, null: false
      add :slug, :text, null: false
      add :name, :text, null: false
      add :description, :text
      add :image_uri, :text
      add :banner_image_uri, :text
      add :is_verified, :boolean, null: false
      add :is_visible, :boolean, null: false

      timestamps()
    end

    create index(:collection_packs, [:slug], unique: true)
  end
end
